import Ansi from './ansi.ts';
import { HighlightType, ITerminalSize } from './types.ts';

export const SCROLL_VERSION = '0.1.0';
export const SCROLL_QUIT_TIMES = 3;
export const SCROLL_TAB_SIZE = 4;

export const SCROLL_LOG_FILE_PREFIX = './scroll';
export const SCROLL_LOG_FILE_SUFFIX = '.log';

export const defaultTerminalSize: ITerminalSize = {
	rows: 24,
	cols: 80,
};

export const SCROLL_COLOR_SCHEME: Map<HighlightType, string> = new Map([
	[HighlightType.Match, Ansi.color.Invert], // Inverted color
	[HighlightType.Number, Ansi.color256(196)], // Bright Red
	[HighlightType.Character, Ansi.color256(207)], // Magenta
	[HighlightType.String, Ansi.color256(45)], // Cyan
	[HighlightType.SingleLineComment, Ansi.color256(248)], // Light Gray
	[HighlightType.MultiLineComment, Ansi.color256(240)], // Medium-light Gray
	[HighlightType.Keyword1, Ansi.color256(226)], // Yellow
	[HighlightType.Keyword2, Ansi.color256(118)], // Green
	[HighlightType.Operator, Ansi.color256(215)], // Orange/Brown
	[HighlightType.None, Ansi.ResetFormatting],
]);
