/**
 * Convenience type for (x,y) coordinate values
 */
export class Position {
	private constructor(public x: number = 0, public y: number = 0) {}

	/**
	 * Create a new `Position` at the specified location
	 */
	public static at(x: number, y: number): Position {
		return new Position(x, y);
	}

	/**
	 * Create a new `Position` from an existing one
	 */
	public static from(p: Position): Position {
		return new Position(p.x, p.y);
	}

	/**
	 * Create a new `Position` at the origin (0, 0)
	 */
	public static default(): Position {
		return new Position();
	}
}

export default Position;
